Trigger an Export Job
curl --request POST \
--url https://appex.userpilot.io/api/v1/analytics/exports \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"to": "<string>",
"emails": [
"<string>"
],
"event_type": [
"<string>"
],
"user_id": [
"<string>"
],
"company_id": [
"<string>"
],
"segment_id": "<string>",
"exclusions": "<string>"
}
'import requests
url = "https://appex.userpilot.io/api/v1/analytics/exports"
payload = {
"from": "<string>",
"to": "<string>",
"emails": ["<string>"],
"event_type": ["<string>"],
"user_id": ["<string>"],
"company_id": ["<string>"],
"segment_id": "<string>",
"exclusions": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: '<string>',
emails: ['<string>'],
event_type: ['<string>'],
user_id: ['<string>'],
company_id: ['<string>'],
segment_id: '<string>',
exclusions: '<string>'
})
};
fetch('https://appex.userpilot.io/api/v1/analytics/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"environment_app_token": "NX-RE213S2",
"environment_name": "production",
"job_id": "123e4567-e89b-12d3-a456-426614174000",
"links": "<string>",
"start_time": "<string>"
}{
"errors": [
{
"details": "<string>",
"error": "<string>",
"error_code": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"details": "<string>",
"error": "<string>",
"error_code": "<string>",
"message": "<string>"
}
]
}Endpoints
Export Job
Create a bulk export job to extract user, company, or event data with customizable date ranges and filters.
POST
/
api
/
v1
/
analytics
/
exports
Trigger an Export Job
Headers
The content type of the request body. Must be application/json.
The content type of the response body. Must be application/json.
API authentication token in the format: Token {{API_KEY}}. Obtain your API key from the Userpilot Environment Settings.
Body
application/json
Response
Created - Export job successfully created
The app token of the environment.
Example:
"NX-RE213S2"
The name of the environment.
Example:
"production"
The ID of the export job.
Example:
"123e4567-e89b-12d3-a456-426614174000"
The links to the export job.
The start time of the export job.
Was this page helpful?
āI